Subject: Re: Cygwin: Problem detecting subprocess termination after _spawn_posix in distutils?
From: Steve Holden <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Aug 2007 20:17:36 -0400
Newsgroups: gmane.comp.python.devel
List-Id: <cygwin.cygwin.com>

Steve Holden wrote:
> Martin v. Löwis wrote:
>>> The only environment variables that don't appear in the shell output 
>>> from the env command are INFOPATH, MAKE_MODE and PLAT. I am still flummoxed.
>> At this point, I'd recommend to perform a cygwin update; with Cygwin,
>> these problems often go away with an update.
>>
> I updated Cygwin and did a rebaseall before posting.
> 
>> If that doesn't help, you can ask on the Cygwin list also; to analyse
>> this further, ISTM one will need to debug the internals of cygwin.
>>
> I posted on Cygwin before asking here.
> 
>> One thing you could try is to add -v to the list of gcc options;
>> you can then see whether gcc is progressing correctly.
>>
> I'll do that, though I have reason to believe the gcc *is* terminating 
> and _spawn_posix isn't detecting the end of the process. At the very 
> least we should get another test out of this dreadfully irritating bug.
> 
> Thanks again for looking at this.
> 
A further data point (sorry, I've not had a lot of time to look at 
this). Building Python from the trunk at rev 57076 yielded a system that 
*would* cleanly build the same release of PIL. This is somewhat annoying 
because it appears to put the bug in the past where there's less 
incentive to investigate it. But I may find time to take a look.

Hardly worth it if I'm the only one noticing the issue, though.

regards
  Steve
-- 
Steve Holden        +1 571 484 6266   +1 800 494 3119
Holden Web LLC/Ltd           http://www.holdenweb.com
Skype: holdenweb      http://del.icio.us/steve.holden
--------------- Asciimercial ------------------
Get on the web: Blog, lens and tag the Internet
Many services currently offer free registration
----------- Thank You for Reading -------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/